--
-- wheelDirt_Tool
-- global tool for wheelDirt management
-- 
--
-- upsideDown 27.10.2013

wheelDirt_Tool = {};
addModEventListener(wheelDirt_Tool);
function wheelDirt_Tool.prerequisitesPresent(specializations)
    return true;
end;

function wheelDirt_Tool:loadMap(name)
	--print("--- wheelDirt_Tool mod loaded --- (by upsidedown)")
	wheelDirt_Tool.Nmax = 2000;
	
	if wheelDirt_Tool:checkIsDedi() then
		wheelDirt_Tool.Nmax = 0;
	else
		local hudXml;
		local file = g_modsDirectory.."/wheelDirtCleaner_config.xml";
		if fileExists(file) then
			hudXml = loadXMLFile("WDC", file, "wheelDirtCleaner");
			wheelDirt_Tool.Nmax = getXMLInt(hudXml, "wheelDirtCleaner#Nmax");
		else
			hudXml = createXMLFile("WDC", file, "wheelDirtCleaner");
			setXMLInt(hudXml, "wheelDirtCleaner#Nmax",2000);
			saveXMLFile(hudXml);
		end;	
	end;
	
	wheelDirt_Tool.Nmax = math.max(wheelDirt_Tool.Nmax,30);
	--print(wheelDirt_Tool.Nmax)
end;

function wheelDirt_Tool:deleteMap()
end


function wheelDirt_Tool:mouseEvent(posX, posY, isDown, isUp, button)
end;

function wheelDirt_Tool:keyEvent(unicode, sym, modifier, isDown)
end;

-- function wheelDirt_Tool:update(dt)
-- end;

function wheelDirt_Tool:update(dt)
	-- print("update tool")
	--print(wheelDirt_Tool.Nmax)
	if g_currentMission.wheelDirt ~= nil then
		local Ndirt = table.getn(g_currentMission.wheelDirt);
		--print(Ndirt)
		if Ndirt > wheelDirt_Tool.Nmax then
			delete(g_currentMission.wheelDirt[1].id)
			table.remove(g_currentMission.wheelDirt,1)
			--print("delete")
		end;		
	end;
end;


function wheelDirt_Tool:draw()
    
end;

function wheelDirt_Tool:checkIsDedi()
	local pixelX, pixelY = getScreenModeInfo(getScreenMode());
	return pixelX*pixelY < 1;
end;